%define name    agave
%define version 0.4.7
%define release %mkrel 1

Summary:        Generates a variety of colorschemes 
Name:           %{name} 
Version:        %{version} 
Release:        %{release} 
Source0:        http://download.gna.org/colorscheme/releases/%{name}-%{version}.tar.xz
URL:            http://home.gna.org/colorscheme/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Group:          Graphics
License:        GPL 
BuildRequires:  pkgconfig
BuildRequires:  gnome-doc-utils
BuildRequires:  GConf-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  gtkmm2.4-devel
BuildRequires:  libglademm2.4-devel
BuildRequires:  gnomeui2-devel
BuildRequires:  gconfmm2.6-devel


%description
Agave is a very simple application for the GNOME desktop that allows you to generate a
variety of colorschemes from a single starting color.
Features:

* Generate 6 different types of color schemes: Complements, Split Complements, Triads, Tetrads, 
Analogous, and Monochromatic
* Select a color that's displayed anywhere on the screen ("dropper" tool)
* Easily change the lightness or saturation of a colorscheme with a toolbar button
* Copy the hexstring (e.g. "#336699") of a color to the clipboard for use in CSS and HTML files
* Save your favorite colors to a 'Favorites' list for easy reference and export your favorites 
as a Gimp Palette file
* Navigate back and forward through history of previously selected colors
* Choose colors from a palette of pre-defined "web-safe" colors (more palettes to come soon)
* Drag and Drop between Agave and the Gimp, as well as many other programs
* Generate a random colorscheme if you're stuck and need some inspiration.
* User interface translated into English, Dutch (nl), German (de), Spanish (es_ES), Brazilian
Portugese (pt_BR), Russian (ru), Czech (cs), and Bulgarian (bg).

%prep
%setup -q 

%build 
%configure2_5x 
 
%make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std 

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics;Utility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp -r $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/*.svg \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/

%find_lang %name


%define schemas %name

%post
%post_install_gconf_schemas %{schemas}
%update_scrollkeeper
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_scrollkeeper
%clean_icon_cache hicolor


%clean 
rm -rf $RPM_BUILD_ROOT 

%files -f %name.lang
%defattr(0755,root,root) 
%doc README NEWS COPYING AUTHORS 
%{_sysconfdir}/gconf/schemas/agave.schemas
%{_bindir}/agave
%{_datadir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/pixmaps/*.svg
%{_datadir}/gnome/help/agave
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/omf/%name


%changelog
* Sun Jun 06 2010 slick50 <lxgator@gmail.com> 0.4.7-1pclos2010
- initial pkg
